import random


def random_skill_distribution(max_points=100):
    # Create a list of skill names
    skills = [
        "infection_rate_points",
        "death_rate_points",
        "mutation_rate_points",  # Get rid of this ?? Not sure if it has any specific value
        "incubation_time_points",
        "infection_time_points",
    ]

    # Initialize an empty dictionary for the skills
    skill_dict = {skill: 0 for skill in skills}

    # Distribute points randomly among the skills
    remaining_points = max_points
    for skill in skills:
        if skill == skills[-1]:
            skill_dict[skill] = remaining_points
        else:
            skill_dict[skill] = random.randint(0, remaining_points)
            remaining_points -= skill_dict[skill]

    return skill_dict
